Summary: Constants | Ctors | Methods | Inherited Methods | [Expand All]
public static class

# Convert.ExcelOutputOptions

extends Object

java.lang.Object
↳ | com.pdftron.pdf.Convert.ExcelOutputOptions

## Class Overview

A class containing options common to toExcel functions

## Summary

Constants
int | e_ocr_always | The Constant e_ocr_always.
int | e_ocr_off | The Constant e_ocr_off.
int | e_ocr_text | The Constant e_ocr_text.

Public Constructors
| ExcelOutputOptions() Creates a ExcelOutputOptions object with default settings

Public Methods
Convert.StructuredOutputOptions.SectionConversionSetting | getFootnotesSetting() Get the setting for footnotes from this options object.
Convert.StructuredOutputOptions.SectionConversionSetting | getHeadersAndFootersSetting() Get the setting for headers and footers from this options object
void | setCustomOCRLanguage(String ocrlang) Specifies the custom OCR languages to use.
void | setFootnotesSetting(Convert.StructuredOutputOptions.SectionConversionSetting option) Specifies how footnotes should be converted.
void | setHeadersAndFootersSetting(Convert.StructuredOutputOptions.SectionConversionSetting option) Specifies how header and footers should be converted.
void | setLanguage(Convert.OutputOptionsOCR.LanguageChoice language) Specifies the OCR language.
void | setNonTableContent(boolean non_tables) Specifies whether to convert non-tabular content.
void | setPDFPassword(String password) Specifies the password if the PDF requires one.
void | setPageSingleSheet(boolean page_single) Specifies whether to combine all tables on a page into a single sheet.
void | setPages(int page_from, int page_to) Specifies a range of pages to be converted.
void | setPreferredOCREngine(Convert.OutputOptionsOCR.PreferredOCREngine engine) Specifies the preferred OCR engine.
void | setSearchableImageSetting(int setting) Specifies how scanned image pages should be converted.
void | setSingleSheet(boolean single_sheet) Specifies whether to combine all tables into a single sheet.
void | setTextRecoveryNSE(boolean use_ocr) Specifies whether to use OCR in order to automatically recover text with a non-standard encoding.

[Expand] Inherited Methods
From class java.lang.Object
boolean | equals(Object arg0)
final Class<?> | getClass()
int | hashCode()
final void | notify()
final void | notifyAll()
String | toString()
final void | wait(long arg0, int arg1)
final void | wait(long arg0)
final void | wait()

## Constants

#### public static final int e_ocr_always

The Constant e_ocr_always. Indicates that OCR will always be performed on all pages, and the recognized text replaces the image pixels underneath.

Constant Value: 4 (0x00000004)

#### public static final int e_ocr_off

The Constant e_ocr_off. Indicates that OCR will not be performed.

Constant Value: 3 (0x00000003)

#### public static final int e_ocr_text

The Constant e_ocr_text. Indicates that OCR will be performed on scanned pages, and the recognized text replaces the image pixels underneath (default).

Constant Value: 2 (0x00000002)

## Public Constructors

#### public ExcelOutputOptions ()

Creates a ExcelOutputOptions object with default settings

## Public Methods

#### public Convert.StructuredOutputOptions.SectionConversionSetting getFootnotesSetting ()

Get the setting for footnotes from this options object.

##### Returns

- The current footnotes setting.

##### Throws

PDFNetException |

#### public Convert.StructuredOutputOptions.SectionConversionSetting getHeadersAndFootersSetting ()

Get the setting for headers and footers from this options object

##### Returns

- The current header and footer setting.

##### Throws

PDFNetException |

#### public void setCustomOCRLanguage (String ocrlang)

Specifies the custom OCR languages to use. Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Parameters

ocrlang | the OCR language(s).

##### Throws

PDFNetException |

#### public void setFootnotesSetting (Convert.StructuredOutputOptions.SectionConversionSetting option)

Specifies how footnotes should be converted. Default is e_Recover, which will include them as footnotes.

##### Parameters

option | The footnotes setting.

##### Throws

PDFNetException |

#### public void setHeadersAndFootersSetting (Convert.StructuredOutputOptions.SectionConversionSetting option)

Specifies how header and footers should be converted. Default is e_Recover, which will include them as headers and footers.

##### Parameters

option | The header and footer setting.

##### Throws

PDFNetException |

#### public void setLanguage (Convert.OutputOptionsOCR.LanguageChoice language)

Specifies the OCR language. Default is automatic language detection.

##### Parameters

language | the OCR language.

##### Throws

PDFNetException |

#### public void setNonTableContent (boolean non_tables)

Specifies whether to convert non-tabular content. Default is false.

##### Parameters

non_tables | If false, only tabular content is converted to Excel. If true, all textual content is converted to Excel.

##### Throws

PDFNetException |

#### public void setPDFPassword (String password)

Specifies the password if the PDF requires one.

##### Parameters

password | the PDF password, if required; an empty string otherwise.

##### Throws

PDFNetException |

#### public void setPageSingleSheet (boolean page_single)

Specifies whether to combine all tables on a page into a single sheet. Default is false.

##### Parameters

page_single | If false, each logical table on a page goes to a separate Excel sheet. If true, all logical tables for a page are combined into a single Excel sheet.

##### Throws

PDFNetException |

#### public void setPages (int page_from, int page_to)

Specifies a range of pages to be converted. By default all pages are converted. The first page has the page number of 1.

##### Parameters

page_from | the first page to be converted.
page_to | the last page to be converted (inclusive). Use a negative value to specify the last page in the PDF.

##### Throws

PDFNetException |

#### public void setPreferredOCREngine (Convert.OutputOptionsOCR.PreferredOCREngine engine)

Specifies the preferred OCR engine.

##### Parameters

engine | The PreferredOCREngine to use.

##### Throws

PDFNetException |

#### public void setSearchableImageSetting (int setting)

Specifies how scanned image pages should be converted. Default is e_ocr_text.

##### Parameters

setting | the searchable image setting.

##### Throws

PDFNetException |

#### public void setSingleSheet (boolean single_sheet)

Specifies whether to combine all tables into a single sheet. Default is false.

##### Parameters

single_sheet | If false, each logical table goes to a separate Excel sheet. If true, all logical tables are combined into a single Excel sheet.

##### Throws

PDFNetException |

#### public void setTextRecoveryNSE (boolean use_ocr)

Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

##### Parameters

use_ocr | If true, problem characters are automatically recovered using OCR. If false, no automatic repair is performed.

##### Throws

PDFNetException |